nav:
    - Startseite: 'index.md'
    - Aktuelles:
      - Kalender: 'kalender.md'                  
      - 'projekte.md'
      - News aus 2023:
        - 'news/23-04-11_teekueche_fuer_alle.md'
        - 'news/23-04-03_prototypen_pruefen.md'
        - 'news/23-03-23_kniterate_poncho.md'
        - 'news/23-03-10_planung_kuechenlabor.md'
        - 'news/23-03-03_schweissen.md'
        - 'news/23-02-21_stellenausschreibung.md'
        - 'news/23-02-12_holzbiegen_laser.md'
        - 'news/23-02-05_aufbau_holzwerkstatt.md'
        - 'news/23-01-26_mir-start.md'
        - 'news/23-01-19_digital-equipment.md'        
        - 'news/23-01-12_kniterate.md'        
        - 'news/23-01-01_frohes_neues.md'        
      - News aus 2022:        
        - Präparator*innen im Makerspace: 'news/22-12-22_praeparator_innen.md'
        - 'news/22-12-16_Designlabor.md'
        - 'news/22-12-01_Computerraum.md'
        - 'news/22-11-27_Tag-der-innovativen-Lehre.md'
        - 'news/22-11-19_kokolor-clothing.md'
        - 'news/22-11-12_Studentische-Initiativprojekte.md'
        - 'news/22-11-02_Buehne.md'
        - 'news/22-10-29_Rueckblick-30-September.md'
        - 'news/22-10-10_Bibliotheksecke.md'
        - 'news/22-09-30_kickstartervideo.md'
        - 'news/22-09-20_startupweek.md'
        - 'news/22-09-07_prototyping.md'
        - 'news/22-09-02_vr.md'
        - 'news/22-08-24_faq-10.md'
        - 'news/22-08-16_terassen_begruenung.md'
        - 'news/22-08-08_faq-9.md'
        - 'news/22-08-02_3d-druck_einsatz.md'
        - 'news/22-07-27_faq-8.md'
        - 'news/22-07-20_face_your_future.md'
        - 'news/22-06-10_faq-7.md'
        - 'news/22-06-07_video.md'
        - 'news/22-05-29_faq-6.md'
        - 'news/22-05-24_werde-teil-des-teams.md'
        - 'news/22-05-15_kostet-es-was.md'
        - 'news/22-05-04_smartcitycon.md'
        - 'news/22-04-25_faq-4.md'
        - 'news/22-04-14_seminar.md'
        - 'news/22-04-08_faq-3.md'
        - 'news/22-03-31_produktfotos.md'
        - 'news/22-03-26_faq-2.md'
        - 'news/22-03-17_selber_machen.md'
        - 'news/22-03-13_faq-1.md'
        - 'news/22-03-02_ukraine.md'
        - 'news/22-02-27_face.md'
        - 'news/22-02-20_teekueche.md'
        - 'news/22-02-13_messen.md'
        - 'news/22-02-06_tresen.md'
        - 'news/22-01-27_großformat_3d-druck.md'
        - 'news/22-01-20_wohlfuehlen.md'
        - 'news/22-01-13_robotic.md'
        - 'news/22-01-06_kniterate.md'
      - News aus 2021:
        - 'news/21-12-24_weihnachten.md'
        - 'news/21-12-16_inspiration_space.md'
        - 'news/21-12-09_lego.md'
        - 'news/21-12-06_mobiler_makerspace.md'
        - 'news/21-11-27_loeten_ws.md'
        - 'news/21-11-21_vr.md'
        - 'news/21-11-11_aufbau_textil.md'
        - 'news/21-11-07_platinendrucken_ws.md'
        - 'news/21-10-29_rub_ideen.md'
        - 'news/21-10-21_fabman_ws.md'
        - 'news/21-10-14_gestaltung_eg.md'
        - 'news/21-10-07_recycling.md'
        - 'news/21-10-01_weltraum_seminar.md'
        - 'news/21-09-23_gestaltung_crafter.md'
        - 'news/21-09-16_360_ws.md'
        - 'news/21-09-09_farbe_crafter.md'
        - 'news/21-09-03_platinendrucker.md'
        - 'news/21-08-26_textil_material.md'
        - 'news/21-08-19_Digitallabor-Kleinformat.md'
        - 'news/21-08-12_Mustermoebel.md'
        - 'news/21-08-05_Textildruck.md'
        - 'news/21-07-29_Piaggio-Ape.md'
        - 'news/21-07-22_3D-Scanner.md'
        - 'news/21-07-15_Hochwasser.md'
        - 'news/21-07-08_Innenhof.md'
        - 'news/21-06-25_Planung-Lebensmittellabor.md'
        - 'news/21-06-17_Crafter.md'
        - 'news/21-05-27_3D-Scanning.md'
        - 'news/21-05-21_servicejam.md'
        - 'news/21-05-20_Neuigkeiten-Textilbereich.md'
        - 'news/21-05-14_Update-Metallwerkstatt.md'
        - 'news/21-05-07_Medienlabor.md'
        - 'news/21-04-30_Interne-Weiterbildung.md'
        - 'news/21-04-15_Das-Makerspace-Team.md'
        - 'news/21-04-08_Teamfoto.md'
        - 'news/21-04-04_Frohe-Ostern.md'
        - 'news/21-04-01_Teamprojekt.md'
        - 'news/21-03-26_Update-Digitallabor.md'
        - 'news/21-03-18_Stellenanzeige-Teilzeitbeschaeftigte.md'
        - 'news/21-03-11_Job-Holzwerkstatt.md'
        - 'news/21-03-04_unser_lasercutter_21.md'
        - 'news/21-02-25_aufbau_buehne.md'
        - 'news/21-02-18_update_stickmaschine.md'
        - 'news/21-02-11_Gestaltungskonzept-Aussenbereich.md'
        - 'news/21-02-04_Fotolabor.md'
        - 'news/21-01-29_Post-von-Formech.md'
        - 'news/21-01-21_Epson-Grossformatdrucker.md'
        - 'news/21-01-15_CIP-Pool-im-Aufbau.md'
        - 'news/21-01-06_Buehnenaufbau.md'
        - 'news/21-01-01_2021.md'
      - News aus 2020:
        - 'news/20-12-24_Weihnachten-2020.md'
        - 'news/20-12-23_Aufbau-Designlabor.md'
        - 'news/20-12-21_Weihnachtsstimmung.md'
        - 'news/20-12-19_Aufbau-Digitallabor.md'
        - 'news/20-12-11_Erste-Stuecke.md'
        - 'news/20-12-09_Sintratec-Lieferung.md'
        - 'news/20-12-07_makertalk.md'
        - 'news/20-12-04_Aufbau-Metallbauwerkstatt.md'
        - 'news/20-12-02_Montagezone.md'
        - 'news/20-11-30_aufbau-holzwerkstatt.md'
        - 'news/20-11-27_einzug.md'
        - 'news/20-11-25_umzug.md'
        - 'news/20-11-23_umzugsvorbereitungen.md'
        - 'news/20-11-21_eindruecke-des-erdgeschosses.md'
        - 'news/20-11-20_tor-zum-ug.md'
        - 'news/20-11-19_RUB-Makerspace-auf Mark517.md'
      - 'medienspiegel.md'
      - 'wasserschaden.md'
    - Makerspace nutzen: 
      - 'openmakerspace.md'
      - 'zielgruppen.md'          
      - 'veranstaltungen.md'     
      - 'community.md'
      - 'sicherheit.md'
      - Unterweisungen: 'unterweisungen.md'
      - 'lager.md'            
      - 'ausleihe.md'
      - 'praktika.md'
      - 'dienstleistungen.md'
      - 'kosten.md'      
      - 'barrierefreiheit.md'      
      - 'faq.md'
    - Bereiche und Ausstattung:
      - Übersichtskarte: 'ort.md'      
      - 'status.md'
      - 'projektraeume.md'
      - 'coworking.md'
      - 'designlabor.md'
      - 'medienlabor.md'
      - 'textillabor.md'  
      - 'kuechenlabor.md'        
      - 'digitallabor.md'
      - 'metallbauwerkstatt.md'
      - 'holzwerkstatt.md'
      - 'kunststoffwerkstatt.md'      
      - 'keramikwerkstatt.md'
      - 'mobil.md'      
    - Organisation und Team: 
      - 'team.md'            
      - 'organisation.md'
      - Partner*innen: 'partner-innen.md'
      - 'drittmittelprojekte.md'
      - 'mir.md'
      - 'offene-stellen.md'
    - Kontakt:
      - 'kontakt.md'
      - Anreise: 'anreise.md'
      - Öffnungszeiten: 'oeffnungszeiten.md'
      - Unterstützung: 'unterstuetzung.md'
      - Feedback: 'feedback.md'


copyright: <a href="https://rub.de"><img src="https://git.noc.ruhr-uni-bochum.de/makerspace/homepage/-/raw/main/docs/medien/logo-rub.png" alt="Logo und Link Website RUB" style="width:250px; padding-right:20px; padding-bottom:20px;"></a>  <a href="https://worldfactory.de"><img src="https://git.noc.ruhr-uni-bochum.de/makerspace/homepage/-/raw/main/docs/medien/logo-worldfactory.png" alt="Logo Worldfactory" style="width:200px; padding-right:20px; padding-bottom:20px;"></a> <a href="https://www.exzellenz-start-up-center.nrw"> <img src="https://git.noc.ruhr-uni-bochum.de/makerspace/homepage/-/raw/main/docs/medien/logo-esc.png" alt="Logo Excellent Startup Center" style="width:200px;"></a> <br> <a href="/index">Startseite</a> | <a href="https://www.ruhr-uni-bochum.de/de/impressum">Impressum</a>      

site_name: 'RUB-Makerspace'
site_url: https://makerspace.io.noc.ruhr-uni-bochum.de/homepage/
site_description: 'Die offene Werkstatt an der RUB'
use_directory_urls: true
repo_url: https://git.noc.ruhr-uni-bochum.de/makerspace/homepage
repo_name: "Open Source"
edit_uri: ./-/edit/main/docs/

theme:
  name: material
  custom_dir: docs/overrides
  icon: 
    repo: "fontawesome/brands/gitlab"
    admonition:
      abstract: fontawesome/solid/circle-exclamation
      tip: fontawesome/solid/screwdriver-wrench
      failure: material/hospital-box
      quote: fontawesome/solid/triangle-exclamation
  favicon: medien/favicon.ico
  features:
    - toc.follow              #toc is the right side navigation (navigation within one page)
#    - toc.integrate          #if activated, right side navigation would be included in the left side navigatoin
    - navigation.top          #integrates a back-to-top button that appears after the user starts to scroll up the page
#    - navigation.sections    #if activated, left side navigation-sections would always be "expanded" and couldn't be "collapsed"   
#    - navigation.instant     #works neither with i18n (language-plugin) nor with our new "fancy" elements that rely on javascript
#    - navigation.indexes     #if activated, top-page of a left side navigation-section would shown again as the first page of its section 
    - search.suggest 
    - search.highlight
    - navigation.tracking      
    - navigation.tabs         #this is the navigation bar at the top of the page. Only visible when there is enough width available
    - navigation.tabs.sticky  #this locks the navigation bar at the top of the page. Otherwise, it would disappear when the user scrolls down
    - announce.dismiss
  language: de
  logo: medien/makerspace-weiss.svg
  palette: 
    - media:  "(prefers-color-scheme: light)"
      scheme: default
      toggle:
        icon: material/lightbulb-outline 
        name: Switch to dark mode
    - media:  "(prefers-color-scheme: dark)"
      scheme: slate 
      toggle:
        icon: material/lightbulb
        name: Switch to light mode

markdown_extensions:
  - meta
  - toc:
  #    permalink: true
      toc_depth: 3
  - pymdownx.tabbed:
      alternate_style: true 
  - pymdownx.emoji:
      emoji_index: !!python/name:materialx.emoji.twemoji
      emoji_generator: !!python/name:materialx.emoji.to_svg 
      options:
        custom_icons:
          - docs/overrides/.icons       
  - def_list
  - pymdownx.tasklist:
      custom_checkbox: true
  - admonition
  - pymdownx.details
  - pymdownx.superfences:
      custom_fences:
        - name: mermaid
          class: mermaid
          format: !!python/name:pymdownx.superfences.fence_code_format  
  - pymdownx.critic    
  - pymdownx.caret
  - pymdownx.mark
  - pymdownx.tilde  
  - footnotes
  - attr_list  
  - pymdownx.snippets:
      base_path: "docs"

plugins:
  - glightbox:
  - search
  - i18n:
      default_language: de
      languages:
        de:
          name: Deutsch
          build: false
        en:
          name: English
          build: true
      material_alternate: true
      nav_translations:
        en:
          Startseite: "Start"
          Aktuelles: "News"
          Kalender: "Calendar"
          News aus 2023: "News from 2023"
          News aus 2022: "News from 2022"
          News aus 2021: "News from 2021"
          News aus 2020: "News from 2020"
          Sensordaten: "Sensor Data"
          Unterweisungen: "(Safety) Instructions"
          Makerspace nutzen: "Using the Makerspace"
          Bereiche und Ausstattung: "Space and Equipment"
          Übersichtskarte: "Makerspace Map"
          Organisation und Team: "Organization and Team"
          Partner*innen: "Partners"
          Kontakt: "Contact"
          Anreise: "Journey to the Makerspace"
          Öffnungszeiten: "Opening Hours"
          Unterstützung: "Support, Partnership and Fundraising"
          Quelldaten dieser Website: "Source Data"
  - table-reader:
      data_path: "tables"
  - git-revision-date-localized:
      enable_creation_date: true
      fallback_to_build_date: false
      type: iso_date
      timezone: Europe/Berlin
      exclude:
        - index.md
        - news/*
        - news-entwuerfe/*
        - kalender.md
        - organisation.md
        - partner-innen.md
        - drittmittelprojekte.md
        - team.md
        - unterstuetzung.md
        - gebuehren.md
        - wunschliste.md
  - footermatter:
      key_created: "date"  
#      date_format: "%Y-%m-%d"
      locale: "de"
      default_author_url: "../../team"
  - mkdocs-video:
      css_style:
        width: "100%"
        height: 30vw;
      is_video: true
      video_autoplay: false
  - rss:
      match_path: "news/.*"
      abstract_chars_count: -1
      date_from_meta: 
        as_creation: date
        as_update: date
        datetime_format: "%Y-%m-%d" 
      image: https://git.noc.ruhr-uni-bochum.de/makerspace/homepage/-/raw/main/docs/medien/rub-makerspace-logo.svg  

extra:
  social:
    - icon: fontawesome/brands/instagram 
      link: https://instagram.com/rubmakerspace
    - icon: fontawesome/brands/twitter 
      link: https://twitter.com/rubmakerspace
    - icon: fontawesome/brands/youtube 
      link: https://www.youtube.com/channel/UCmyfl2EgsQpwNNzURhh9JYg/   
    - icon: fontawesome/solid/square-rss
      link: https://makerspace.io.noc.ruhr-uni-bochum.de/homepage/feed_rss_created.xml
  alternate:
    - name: English
      link: ../en/ 
      lang: en
    - name: Deutsch
      link: ../
      lang: de

extra_css:
  - 'stylesheets/extra.css'

extra_javascript:
  - https://unpkg.com/tablesort@5.3.0/dist/tablesort.min.js
  - javascripts/tablesort.js
  - javascripts/header.js
  - javascripts/img.js
